Subject: RE: Problems with new ci.exe and co.exe
From: "Tolkin, Steve" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "'Uwe H. Steinfeld'" <[email-masked]>, "[email-masked]'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: Fri, 16 Jun 2000 10:27:21 -0400

Dear group, especially Rod W., Chris F., and Uwe S. (who will get this as
direct email as well as via the list)
	Immediately below is a snippet from the release notice at
http://sourceware.cygnus.com/ml/cygwin-announce/2000/msg00023.html.  
Is there a way for me to get more details about this bug. 
- Fixed problems with \r\n line endings manifesting when text mode
  was specified.

Uwe avoided that bug becase he mounted everything as binmode.
But I had to mount c: as textmode to work around a "Permission denied"
problem I got when running gcc (which invoked cpp), rcsdiff (which invoked
co and diff), and sort.

I generally try to minimize the disturbances to me system.  But here I can
change up to four independent variables.  I would like your collective
advice about this.
Here are the possibilities:
1. Change from release 1.1.1 to 1.1.2.  I plan to do this, but first I would
like to see the detailed description of the line endings bug above.
2. Change from textmode to binmode for C:/  I may try this, to see if I am
still getting "Permission denied".  But even if that problem is gone it
seems strange to mount this binmode when many of the files on that drive are
text.  Someone also mentionned that it seemed very odd that I had e.g.
/usr/bin mounted in binmode but that / was textcode
3. Change the root of the cygwin installation from C:/ to C:/cygwin   
I originally chose to install cygwin into the root directory i.e. c:/
Later I read somewhere that this is not recommended, and it recommended
installing into e.g. c:/cygwin.  But it did not give the reasons, or the
pros and cons of each.  
I will change this if someone can explain to me why I should.
4. Change from the original ci.exe and co.exe I have been running to the new
versions provided by Uwe. (Later maybe can also try to compile them  myself,
and then apply the patches and compile again).

An important extra question:  Currently my $HOME is /usr/home and I have a
lot of files there.  I am concerned that a new install might somehow damage
(i.e. remove) things below /usr.  Should I for safety's sake do something
like
mv /usr/home /_myhome
HOME=/_myhome

My current mounts are
Device              Directory           Type         Flags
C:\bin              /usr/bin            user         binmode
C:\lib              /usr/lib            user         binmode
d:                  /d                  user         textmode
f:                  /f                  user         textmode
c:                  /                   user         textmode
e:                  /e                  user         textmode

Many thanks, 

Steve

> -----Original Message-----
> From: Rod Whitby [mailto:[email-masked]]
> Sent: Thursday, June 15, 2000 7:55 PM
> To: Tolkin, Steve
> Cc: 'Uwe H. Steinfeld'
> Subject: Re: Problems with new ci.exe and co.exe
> 
> 
> "Tolkin, Steve" wrote:
> > What version of cygwin are you running?  I am on 1.1.1
> > and I have seen an announcement for 1.1.2, so I might try 
> upgrading to that.
> 
> That could be the problem - 1.1.1 has a bug to do with end of line
> handling.  You should upgrade to 1.1.2 immediately.  That fixed my
> Makefile problems.
> 
> Here's the diff I used to compile rcs-5.7 from the official 
> FSF sources.
> 
> Rod
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]